﻿@model StarterProjectV2.ViewModels.OwnerRoomBookingView
@{
    ViewBag.Title = "RoomCreate";
    var noOfDaysRemaining = @Model.NoOfDaysCanStay - @Model.NoOfDaySpent;
}
<style>
    /* The container */
    .myContainer {
        display: block;
        position: relative;
        padding-left: 35px;
        margin-bottom: 12px;
        cursor: pointer;
        font-size: 14px;
        -webkit-user-select: none;
        -moz-user-select: none;
        -ms-user-select: none;
        user-select: none;
    }

        /* Hide the browser's default checkbox */
        .myContainer input {
            position: absolute;
            opacity: 0;
            cursor: pointer;
            height: 0;
            width: 0;
        }

    /* Create a custom checkbox */
    .checkmark {
        position: absolute;
        top: 0;
        left: 0;
        height: 25px;
        width: 25px;
        /*background-color: #eee;*/
        /*background-color: #7dbfe1;*/
        background-color: #a4b7c1;
    }

    /* On mouse-over, add a grey background color */
    .myContainer:hover input ~ .checkmark {
        background-color: #ccc;
    }

    /* When the checkbox is checked, add a blue background */
    .myContainer input:checked ~ .checkmark {
        background-color: #2196F3;
    }

    /* Create the checkmark/indicator (hidden when not checked) */
    .checkmark:after {
        content: "";
        position: absolute;
        display: none;
    }

    /* Show the checkmark when checked */
    .myContainer input:checked ~ .checkmark:after {
        display: block;
    }

    /* Style the checkmark/indicator */
    .myContainer .checkmark:after {
        left: 9px;
        top: 5px;
        width: 5px;
        height: 10px;
        border: solid white;
        border-width: 0 3px 3px 0;
        -webkit-transform: rotate(45deg);
        -ms-transform: rotate(45deg);
        transform: rotate(45deg);
    }
</style>
<style>
    .info {
        background-color: #e7f3fe;
        border-left: 6px solid #2196F3;
    }
</style>


@section PAGETITLE{
    Booking Create
}
<body style="background-color: oldlace">
    <div class="row justify-content-center ">
        <div class="card col-12">
            <div class="card-body">
                <p class="text-muted"></p>
                @using (Html.BeginForm("BookingAddorEdit", "Booking", new { ReturnUrl = ViewBag.ReturnUrl }, FormMethod.Post, new { @class = "form-horizontal", role = "form" }))
                {
                    <div>
                        <h4>
                            Guest Details
                        </h4>
                    </div>

                    <div class="form-group row mb-3 align">
                        <label class="col-sm-3 col-lg-2 col-md-3  col-form-label">Slot ID</label>
                        <div class="col-sm-3 col-lg-3 col-md-3">
                            @Html.DropDownListFor(m => m.SlotId, Enumerable.Empty<SelectListItem>(), new { @class = "form-control", @required = "required" })
                        </div>

                    </div>
                    <div class="form-group row mb-3">
                        <label class="col-sm-3 col-lg-2 col-md-3  col-form-label" title="Main Guest Name">Main Guest Name</label>
                        <div class="col-sm-3 col-lg-3 col-md-3">
                            @Html.TextBoxFor(m => m.GuestNameMain, new { @class = "form-control" })
                        </div>

                        <label class="col-sm-3 col-lg-2 col-md-3  col-form-label" title="Main Guest Address">Address</label>
                        <div class="col-sm-6 col-lg-3 col-md-6">
                            @Html.TextAreaFor(m => m.GuestAddress, new { @class = "form-control", @rows = "1" })
                        </div>
                    </div>
                    <div class="form-group row mb-3">
                        <label class="col-sm-3 col-lg-2 col-md-3  col-form-label" title="Main Guest Date of Birth">Date of Birth</label>
                        <div class="col-sm-3 col-lg-3 col-md-3">
                            @Html.TextBoxFor(m => m.DateOfBirth, new { @class = "form-control", placeholder = "", type = "date" })
                        </div>
                        <label class="col-sm-3 col-lg-2 col-md-3  col-form-label" title="Guest Mobile No.">Mobile No.</label>
                        <div class="col-sm-3 col-lg-3 col-md-3">
                            @Html.TextBoxFor(m => m.GuestMobile, new { @class = "form-control" })
                        </div>
                    </div>
                    <div class="form-group row mb-3">
                        <label class="col-sm-3 col-lg-2 col-md-3  col-form-label" title="Guest Email">Email</label>
                        <div class="col-sm-3 col-lg-3 col-md-3">
                            @Html.TextBoxFor(m => m.Email, new { @class = "form-control" })
                        </div>

                        <label class="col-sm-3 col-lg-2 col-md-3  col-form-label" title="Relation with Slot Owner">Relationship</label>
                        <div class="col-sm-3 col-lg-3 col-md-3">
                            @Html.DropDownListFor(m => m.Relation, new SelectList(Model.RelationEnumList), new { @class = "form-control", })
                        </div>
                    </div>



                    <div>
                        <h4>
                            Booking Details
                        </h4>
                    </div>
                    <div class="form-group row mb-3">
                        <label class="col-sm-3 col-lg-2 col-md-3  col-form-label">Booking No</label>
                        <div class="col-sm-3 col-lg-3 col-md-3">
                            @Html.TextBoxFor(m => m.BookingToken, new { @class = "form-control", @onkeyup = "submit_enabling()" })
                        </div>

                        <label class="col-sm-3 col-lg-2 col-md-3  col-form-label">Checked In</label>
                        <div class="col-sm-3 col-lg-3 col-md-3">
                            @Html.DropDownListFor(m => m.HasStayedOrNot, new SelectList(new List<string> { "No", "Yes" }), new { @class = "form-control" })
                        </div>
                    </div>

                    <div>
                        <h4>
                            Room Details
                        </h4>
                    </div>
                    <div class="form-group row mb-3">
                        <label class="col-sm-3 col-lg-2 col-md-3  col-form-label">Room Type</label>
                        <div class="col-sm-3 col-lg-3 col-md-3">
                            @Html.TextBoxFor(m => m.Roomtype, new { @class = "form-control" })
                        </div>
                        <label class="col-sm-3 col-lg-2 col-md-3  col-form-label">No of Room Requested</label>
                        <div class="col-sm-3 col-lg-3 col-md-3">
                            @Html.TextBoxFor(m => m.NoOfRoomRequested, new { @class = "form-control", type = "number", value = "1", @readonly = "readonly" })
                        </div>

                    </div>
                    <div class="form-group row mb-3">
                        <label class="col-sm-3 col-lg-2 col-md-3  col-form-label">CheckIn Date</label>
                        <div class="col-sm-3 col-lg-3 col-md-3">
                            @Html.TextBoxFor(m => m.CheckInDate, new { @class = "form-control", type = "date", @onkeyup = "submit_enabling()" })
                        </div>

                        <label class="col-sm-3 col-lg-2 col-md-3  col-form-label">CheckOut Date</label>
                        <div class="col-sm-3 col-lg-3 col-md-3">
                            @Html.TextBoxFor(m => m.CheckOutDate, new { @class = "form-control", type = "date", CheckOutDate = "submit_enabling()" })
                        </div>
                    </div>

                    <div class="form-group row mb-3">
                        @*<label class="col-sm-3 col-lg-1 col-md-3  col-form-label">Nights</label>
                            @{
                                var nights = Convert.ToDateTime(Model.CheckOutDate) - Convert.ToDateTime(Model.CheckInDate);
                            }
                            <div class="col-sm-3 col-lg-1 col-md-3">
                                <input class="form-control" type="text" value="@nights.TotalDays" />
                            </div>*@

                        <label class="col-sm-3 col-lg-2 col-md-3  col-form-label">Adult</label>
                        <div class="col-sm-3 col-lg-3 col-md-3">
                            @Html.TextBoxFor(m => m.NoOfAdult, new { @class = "form-control", type = "number" })
                        </div>

                        <label class="col-sm-3 col-lg-2 col-md-3  col-form-label">Child</label>
                        <div class="col-sm-3 col-lg-3 col-md-3">
                            @Html.TextBoxFor(m => m.NoOfChild, new { @class = "form-control", type = "number" })
                        </div>
                    </div>

                    @Html.HiddenFor(m => m.IsRoomBookingTokenExists)
                    @Html.HiddenFor(m => m.IsBookingCompleted)
                    @Html.HiddenFor(m => m.IsDayClosePageExists)
                    @Html.HiddenFor(m => m.OwnerRoomBookingId)
                    @Html.HiddenFor(m => m.ApplicationDate)

                    <label class="myContainer mt-2">
                        I agree with the terms and conditions of the company regarding online booking for slot owners and i agree to pay all the charges incurred by me during my stay at BEST WESTERN PLUS HERITAGE, Cox's Bazar<br>
                        <input type="checkbox" id="agreeTermsButton">
                        <span class="checkmark"></span>
                    </label>

                    <input type="submit" name="submitBookingForm" class="inputButton btn btn-info p-2" id="submitBookingForm" value=" Submit " disabled="disabled" />

                    <div class="info mt-2">
                        <p><strong>Important!</strong> Your request for booking rooms will be completed based on the availability of rooms at your requested arrival time and the decision of hotel management will be final at any moment. <a href="@Url.Action("TermsAndConditions", "Booking")" target="_blank"> Also, click here to see terms & conditions.</a></p>
                    </div>

                }
            </div>
        </div>
    </div>
</body>

<script>
    $(function () {

        if ('@ViewBag.Message') {

            showToastr('@ViewBag.Status', '@ViewBag.Message')
        }
    });
</script>
<script>
    $(function () {

        LoadSelect2("#SlotId", "/OwnersInfo/GetSlotIdList");

    });

</script>


<script>
    var submitBookingForm = document.getElementById('submitBookingForm'),
        checkbox = document.getElementById('agreeTermsButton'),
        disableSubmit = function (e) {
            submitBookingForm.disabled = !this.checked
        };

    checkbox.addEventListener('change', disableSubmit);
</script>
<script>
    document.getElementById("NoOfRoomRequested").value = 1;
    document.getElementById("NoOfAdult").value = 1;
</script>
<script>
    $("#NoOfRoomRequested").keyup(function () {
        //alert('hey');
        var NoOfRoomRequested = parseInt(document.getElementById("NoOfRoomRequested").value);
        if (NoOfRoomRequested <= 0) {
            toastr.error('No Of Room Requested must atleast be 1', 'Error', {
                closeButton: true,
                timeOut: 1500,
                progressBar: true,
            });
            document.getElementById("NoOfRoomRequested").value = 1;
        }
    });
</script>

<script>
    $("#NoOfAdult").keyup(function () {
        //alert('hey');
        var NoOfAdult = parseInt(document.getElementById("NoOfAdult").value);
        if (NoOfAdult <= 0) {
            toastr.error('No Of Adults must atleast be 1', 'Error', {
                closeButton: true,
                timeOut: 1500,
                progressBar: true,
            });
            document.getElementById("NoOfAdult").value = 1;
        }
    });
</script>
<script>
    var day = "@DateTime.Now.Day";
    var month = "@DateTime.Now.Month";
    var year = "@DateTime.Now.Year";
    if (month.length != 2) {
        month = '0' + month;
    }
    if (day.length != 2) {
        day = '0' + day;
    }
    var endDay = "@DateTime.Now.AddDays(1).Day";
    var endMonth = "@DateTime.Now.AddDays(1).Month";
    var endYear = "@DateTime.Now.AddDays(1).Year";
    //alert(year + "-" + month + "-" + day);
    if (endMonth.length != 2) {
        endMonth = '0' + endMonth;
    }
    if (endDay.length != 2) {
        endDay = '0' + endDay;
    }
    document.getElementById("CheckInDate").value = year + "-" + month + "-" + day;
    document.getElementById("CheckOutDate").value = endYear + "-" + endMonth + "-" + endDay;
</script>
<script>
    Date.prototype.addDays = function (days) {
        var date = new Date(this.valueOf());
        date.setDate(date.getDate() + days);
        return date;
    }
    $("#CheckOutDate").change(function () {

        var startDate = document.getElementById("CheckInDate").value;
        var endDate = document.getElementById("CheckOutDate").value;
        //alert(endDate);
        if ((Date.parse(startDate) > Date.parse(endDate)) || (Date.parse(startDate) === Date.parse(endDate))) {
            //alert("End date should be greater than Start date");
            toastr.error('Departure date should be greater than Arrival date', 'Error', {
                closeButton: true,
                timeOut: 1500,
                progressBar: true,
            });
            //alert(startDate);
            var CheckInDate = new Date(startDate);
            //alert(StartDate);
            var CheckOutDate = new Date(CheckInDate.addDays(1));
            var dd = String(CheckOutDate.getDate()).padStart(2, '0');
            var mm = String(CheckOutDate.getMonth() + 1).padStart(2, '0'); //January is 0!
            var yyyy = CheckOutDate.getFullYear();
            var enddate = yyyy + "-" + mm + "-" + dd;
            //alert(enddate);
            document.getElementById("CheckOutDate").value = enddate;
        }
    });
    $("#CheckInDate").change(function () {

        var startDate = document.getElementById("CheckInDate").value;
        var endDate = document.getElementById("CheckOutDate").value;
        if ((Date.parse(startDate) > Date.parse(endDate)) || (Date.parse(startDate) === Date.parse(endDate))) {
            var CheckInDate = new Date(startDate);
            //alert(StartDate);
            var CheckOutDate = new Date(CheckInDate.addDays(1));
            var dd = String(CheckOutDate.getDate()).padStart(2, '0');
            var mm = String(CheckOutDate.getMonth() + 1).padStart(2, '0'); //January is 0!
            var yyyy = CheckOutDate.getFullYear();
            var enddate = yyyy + "-" + mm + "-" + dd;
            //alert(enddate);
            document.getElementById("CheckOutDate").value = enddate;
        }
    });
</script>
<script>
    $(document).ready(function () {

        $("#newItem").remove();
        $("#editItem").remove();
        $("#saveItem").remove();
        $("#deleteItem").remove();
        $("#reportItem").remove();
        $("#dashboardItem").remove();
        $('#printItem').click(function () {
            window.print();
        });

        $('#reloadItem').click(function () {
            location.reload();
        });

    });
</script>
